metadata:
  description: Linux kernel self test
  devices:
  - all
  format: Lava-Test Test Definition 1.0
  maintainer:
  - naresh.kamboju@linaro.org
  name: kselftest
  os:
  - debian
  - ubuntu
  - fedora
  - centos
  scope:
  - functional
params:
  BOARD: ''
  BRANCH: ''
  ENVIRONMENT: ''
  KSELFTEST_PATH: /opt/kselftests/mainline/
  SHARD_INDEX: 1
  SHARD_NUMBER: 1
  SKIPFILE: ''
  SKIPLIST: ''
  SKIP_INSTALL: 'false'
  TESTPROG: kselftest_armhf.tar.gz
  TESTPROG_URL: ''
  TST_CASENAME: ''
  TST_CMDFILES: ''
run:
  steps:
  - cd ./automated/linux/kselftest/
  - ./kselftest.sh -c "${TST_CMDFILES}" -T "${TST_CASENAME}" -t "${TESTPROG}" -s "${SKIP_INSTALL}"
    -u "${TESTPROG_URL}" -L "${SKIPLIST}" -S "${SKIPFILE}" -b "${BOARD}" -g "${BRANCH}"
    -e "${ENVIRONMENT}" -p "${KSELFTEST_PATH}" -n "${SHARD_NUMBER}" -i "${SHARD_INDEX}"
  - ../../utils/send-to-lava.sh ./output/result.txt
